BeanMap.Generator (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.beans

## Class BeanMap.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.beans.BeanMap.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    BeanMap

      public static class BeanMap.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanMap.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanMap` | `create()` Create a new instance of the `BeanMap`.
    `void` | `generateClass(org.objectweb.asm.ClassVisitor v)`
    `void` | `setBean(java.lang.Object bean)` Set the bean that the generated map should reflect.
    `void` | `setBeanClass(java.lang.Class beanClass)` Set the class of the bean that the generated map should support.
    `void` | `setRequire(int require)` Limit the properties reflected by the generated map.

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanMap.Generator

          public BeanMap.Generator()

  - ### Method Detail

    - #### setBean

          public void setBean(java.lang.Object bean)

      Set the bean that the generated map should reflect. The bean may be swapped out for another bean of the same type using `setBean(java.lang.Object)`. Calling this method overrides any value previously set using `setBeanClass(java.lang.Class)`. You must call either this method or `setBeanClass(java.lang.Class)` before `create()`.
      Parameters:
        `bean` - the initial bean

    - #### setBeanClass

          public void setBeanClass(java.lang.Class beanClass)

      Set the class of the bean that the generated map should support. You must call either this method or `setBeanClass(java.lang.Class)` before `create()`.
      Parameters:
        `beanClass` - the class of the bean

    - #### setRequire

          public void setRequire(int require)

      Limit the properties reflected by the generated map.
      Parameters:
        `require` - any combination of `BeanMap.REQUIRE_GETTER` and `BeanMap.REQUIRE_SETTER`; default is zero (any property allowed)

    - #### create

          public BeanMap create()

      Create a new instance of the `BeanMap`. An existing generated class will be reused if possible.

    - #### generateClass

          public void generateClass(org.objectweb.asm.ClassVisitor v)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation